org.jboss.jca.embedded.dsl.datasources12.api

## Interface XaDatasourceType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface XaDatasourceType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `xa-datasourceType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `XaDatasourcePropertyType<XaDatasourceType<T>>` | `createXaDatasource` Creates a new `xa-datasource-property` element
    `XaDatasourceType<T>` | `removeAllXaDatasource` Removes all `xa-datasource-property` elements
    `XaDatasourceType<T>` | `removeUrl` Removes the `url-property` element

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XaDatasourcePropertyType<XaDatasourceType<T>>` | `createXaDatasourceProperty()` Creates a new `xa-datasource-property` element
    `XaDatasourceType<T>` | `driver(java.lang.String driver)` Sets the `driver` element
    `XaDatasourceType<T>` | `enabled(java.lang.Boolean enabled)` Sets the `enabled` attribute
    `java.util.List<XaDatasourcePropertyType<XaDatasourceType<T>>>` | `getAllXaDatasourceProperty()` Returns all `xa-datasource-property` elements
    `java.lang.String` | `getDriver()` Returns the `driver` element
    `java.lang.String` | `getJndiName()` Returns the `jndi-name` attribute
    `java.lang.String` | `getNewConnectionSql()` Returns the `new-connection-sql` element
    `RecoverType<XaDatasourceType<T>>` | `getOrCreateRecovery()` If not already created, a new `recovery` element with the given value will be created.
    `DsSecurityType<XaDatasourceType<T>>` | `getOrCreateSecurity()` If not already created, a new `security` element with the given value will be created.
    `StatementType<XaDatasourceType<T>>` | `getOrCreateStatement()` If not already created, a new `statement` element with the given value will be created.
    `TimeoutType<XaDatasourceType<T>>` | `getOrCreateTimeout()` If not already created, a new `timeout` element with the given value will be created.
    `ValidationType<XaDatasourceType<T>>` | `getOrCreateValidation()` If not already created, a new `validation` element with the given value will be created.
    `XaDatasourcePropertyType<XaDatasourceType<T>>` | `getOrCreateXaDatasourceProperty()` If not already created, a new `xa-datasource-property` element will be created and returned.
    `XaPoolType<XaDatasourceType<T>>` | `getOrCreateXaPool()` If not already created, a new `xa-pool` element with the given value will be created.
    `java.lang.String` | `getPoolName()` Returns the `pool-name` attribute
    `TransactionIsolationType` | `getTransactionIsolation()` Returns the `transaction-isolation` element
    `java.lang.String` | `getTransactionIsolationAsString()` Returns the `transaction-isolation` element
    `java.lang.String` | `getUrlDelimiter()` Returns the `url-delimiter` element
    `java.lang.String` | `getUrlProperty()` Returns the `url-property` element
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Returns the `url-selector-strategy-class-name` element
    `java.lang.String` | `getXaDatasourceClass()` Returns the `xa-datasource-class` element
    `java.lang.Boolean` | `isEnabled()` Returns the `enabled` attribute
    `java.lang.Boolean` | `isSpy()` Returns the `spy` attribute
    `java.lang.Boolean` | `isUseCcm()` Returns the `use-ccm` attribute
    `java.lang.Boolean` | `isUseJavaContext()` Returns the `use-java-context` attribute
    `XaDatasourceType<T>` | `jndiName(java.lang.String jndiName)` Sets the `jndi-name` attribute
    `XaDatasourceType<T>` | `newConnectionSql(java.lang.String newConnectionSql)` Sets the `new-connection-sql` element
    `XaDatasourceType<T>` | `poolName(java.lang.String poolName)` Sets the `pool-name` attribute
    `XaDatasourceType<T>` | `removeAllXaDatasourceProperty()` Removes all `xa-datasource-property` elements
    `XaDatasourceType<T>` | `removeDriver()` Removes the `driver` element
    `XaDatasourceType<T>` | `removeEnabled()` Removes the `enabled` attribute
    `XaDatasourceType<T>` | `removeJndiName()` Removes the `jndi-name` attribute
    `XaDatasourceType<T>` | `removeNewConnectionSql()` Removes the `new-connection-sql` element
    `XaDatasourceType<T>` | `removePoolName()` Removes the `pool-name` attribute
    `XaDatasourceType<T>` | `removeRecovery()` Removes the `recovery` element
    `XaDatasourceType<T>` | `removeSecurity()` Removes the `security` element
    `XaDatasourceType<T>` | `removeSpy()` Removes the `spy` attribute
    `XaDatasourceType<T>` | `removeStatement()` Removes the `statement` element
    `XaDatasourceType<T>` | `removeTimeout()` Removes the `timeout` element
    `XaDatasourceType<T>` | `removeTransactionIsolation()` Removes the `transaction-isolation` attribute
    `XaDatasourceType<T>` | `removeUrlDelimiter()` Removes the `url-delimiter` element
    `XaDatasourceType<T>` | `removeUrlProperty()` Removes the `url-property` element
    `XaDatasourceType<T>` | `removeUrlSelectorStrategyClassName()` Removes the `url-selector-strategy-class-name` element
    `XaDatasourceType<T>` | `removeUseCcm()` Removes the `use-ccm` attribute
    `XaDatasourceType<T>` | `removeUseJavaContext()` Removes the `use-java-context` attribute
    `XaDatasourceType<T>` | `removeValidation()` Removes the `validation` element
    `XaDatasourceType<T>` | `removeXaDatasourceClass()` Removes the `xa-datasource-class` element
    `XaDatasourceType<T>` | `removeXaPool()` Removes the `xa-pool` element
    `XaDatasourceType<T>` | `spy(java.lang.Boolean spy)` Sets the `spy` attribute
    `XaDatasourceType<T>` | `transactionIsolation(java.lang.String transactionIsolation)` Sets the `transaction-isolation` element
    `XaDatasourceType<T>` | `transactionIsolation(TransactionIsolationType transactionIsolation)` Sets the `transaction-isolation` element
    `XaDatasourceType<T>` | `urlDelimiter(java.lang.String urlDelimiter)` Sets the `url-delimiter` element
    `XaDatasourceType<T>` | `urlProperty(java.lang.String urlProperty)` Sets the `url-property` element
    `XaDatasourceType<T>` | `urlSelectorStrategyClassName(java.lang.String urlSelectorStrategyClassName)` Sets the `url-selector-strategy-class-name` element
    `XaDatasourceType<T>` | `useCcm(java.lang.Boolean useCcm)` Sets the `use-ccm` attribute
    `XaDatasourceType<T>` | `useJavaContext(java.lang.Boolean useJavaContext)` Sets the `use-java-context` attribute
    `XaDatasourceType<T>` | `xaDatasourceClass(java.lang.String xaDatasourceClass)` Sets the `xa-datasource-class` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createXaDatasource

          XaDatasourcePropertyType<XaDatasourceType<T>> createXaDatasourceProperty

      Creates a new `xa-datasource-property` element

    - #### removeAllXaDatasource

          XaDatasourceType<T> removeAllXaDatasourceProperty

      Removes all `xa-datasource-property` elements

    - #### removeUrl

          XaDatasourceType<T> removeUrlProperty

      Removes the `url-property` element

  - ### Method Detail

    - #### jndiName

          XaDatasourceType<T> jndiName(java.lang.String jndiName)

      Sets the `jndi-name` attribute
      Parameters:
        `jndiName` - the value for the attribute `jndi-name`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getJndiName

          java.lang.String getJndiName()

      Returns the `jndi-name` attribute
      Returns:
        the value defined for the attribute `jndi-name`

    - #### removeJndiName

          XaDatasourceType<T> removeJndiName()

      Removes the `jndi-name` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### poolName

          XaDatasourceType<T> poolName(java.lang.String poolName)

      Sets the `pool-name` attribute
      Parameters:
        `poolName` - the value for the attribute `pool-name`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getPoolName

          java.lang.String getPoolName()

      Returns the `pool-name` attribute
      Returns:
        the value defined for the attribute `pool-name`

    - #### removePoolName

          XaDatasourceType<T> removePoolName()

      Removes the `pool-name` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### enabled

          XaDatasourceType<T> enabled(java.lang.Boolean enabled)

      Sets the `enabled` attribute
      Parameters:
        `enabled` - the value for the attribute `enabled`
      Returns:
        the current instance of `XaDatasourceType`

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Returns the `enabled` attribute
      Returns:
        the value defined for the attribute `enabled`

    - #### removeEnabled

          XaDatasourceType<T> removeEnabled()

      Removes the `enabled` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### useJavaContext

          XaDatasourceType<T> useJavaContext(java.lang.Boolean useJavaContext)

      Sets the `use-java-context` attribute
      Parameters:
        `useJavaContext` - the value for the attribute `use-java-context`
      Returns:
        the current instance of `XaDatasourceType`

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Returns the `use-java-context` attribute
      Returns:
        the value defined for the attribute `use-java-context`

    - #### removeUseJavaContext

          XaDatasourceType<T> removeUseJavaContext()

      Removes the `use-java-context` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### spy

          XaDatasourceType<T> spy(java.lang.Boolean spy)

      Sets the `spy` attribute
      Parameters:
        `spy` - the value for the attribute `spy`
      Returns:
        the current instance of `XaDatasourceType`

    - #### isSpy

          java.lang.Boolean isSpy()

      Returns the `spy` attribute
      Returns:
        the value defined for the attribute `spy`

    - #### removeSpy

          XaDatasourceType<T> removeSpy()

      Removes the `spy` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### useCcm

          XaDatasourceType<T> useCcm(java.lang.Boolean useCcm)

      Sets the `use-ccm` attribute
      Parameters:
        `useCcm` - the value for the attribute `use-ccm`
      Returns:
        the current instance of `XaDatasourceType`

    - #### isUseCcm

          java.lang.Boolean isUseCcm()

      Returns the `use-ccm` attribute
      Returns:
        the value defined for the attribute `use-ccm`

    - #### removeUseCcm

          XaDatasourceType<T> removeUseCcm()

      Removes the `use-ccm` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateXaDatasourceProperty

          XaDatasourcePropertyType<XaDatasourceType<T>> getOrCreateXaDatasourceProperty()

      If not already created, a new `xa-datasource-property` element will be created and returned. Otherwise, the first existing `xa-datasource-property` element will be returned.
      Returns:
        the instance defined for the element `xa-datasource-property`

    - #### createXaDatasourceProperty

          XaDatasourcePropertyType<XaDatasourceType<T>> createXaDatasourceProperty()

      Creates a new `xa-datasource-property` element

    - #### getAllXaDatasourceProperty

          java.util.List<XaDatasourcePropertyType<XaDatasourceType<T>>> getAllXaDatasourceProperty()

      Returns all `xa-datasource-property` elements
      Returns:
        list of `xa-datasource-property`

    - #### removeAllXaDatasourceProperty

          XaDatasourceType<T> removeAllXaDatasourceProperty()

      Removes all `xa-datasource-property` elements

    - #### xaDatasourceClass

          XaDatasourceType<T> xaDatasourceClass(java.lang.String xaDatasourceClass)

      Sets the `xa-datasource-class` element
      Parameters:
        `xaDatasourceClass` - the value for the element `xa-datasource-class`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getXaDatasourceClass

          java.lang.String getXaDatasourceClass()

      Returns the `xa-datasource-class` element
      Returns:
        the node defined for the element `xa-datasource-class`

    - #### removeXaDatasourceClass

          XaDatasourceType<T> removeXaDatasourceClass()

      Removes the `xa-datasource-class` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### driver

          XaDatasourceType<T> driver(java.lang.String driver)

      Sets the `driver` element
      Parameters:
        `driver` - the value for the element `driver`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getDriver

          java.lang.String getDriver()

      Returns the `driver` element
      Returns:
        the node defined for the element `driver`

    - #### removeDriver

          XaDatasourceType<T> removeDriver()

      Removes the `driver` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### urlDelimiter

          XaDatasourceType<T> urlDelimiter(java.lang.String urlDelimiter)

      Sets the `url-delimiter` element
      Parameters:
        `urlDelimiter` - the value for the element `url-delimiter`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getUrlDelimiter

          java.lang.String getUrlDelimiter()

      Returns the `url-delimiter` element
      Returns:
        the node defined for the element `url-delimiter`

    - #### removeUrlDelimiter

          XaDatasourceType<T> removeUrlDelimiter()

      Removes the `url-delimiter` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### urlProperty

          XaDatasourceType<T> urlProperty(java.lang.String urlProperty)

      Sets the `url-property` element
      Parameters:
        `urlProperty` - the value for the element `url-property`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getUrlProperty

          java.lang.String getUrlProperty()

      Returns the `url-property` element
      Returns:
        the node defined for the element `url-property`

    - #### removeUrlProperty

          XaDatasourceType<T> removeUrlProperty()

      Removes the `url-property` element

    - #### urlSelectorStrategyClassName

          XaDatasourceType<T> urlSelectorStrategyClassName(java.lang.String urlSelectorStrategyClassName)

      Sets the `url-selector-strategy-class-name` element
      Parameters:
        `urlSelectorStrategyClassName` - the value for the element `url-selector-strategy-class-name`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getUrlSelectorStrategyClassName

          java.lang.String getUrlSelectorStrategyClassName()

      Returns the `url-selector-strategy-class-name` element
      Returns:
        the node defined for the element `url-selector-strategy-class-name`

    - #### removeUrlSelectorStrategyClassName

          XaDatasourceType<T> removeUrlSelectorStrategyClassName()

      Removes the `url-selector-strategy-class-name` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### newConnectionSql

          XaDatasourceType<T> newConnectionSql(java.lang.String newConnectionSql)

      Sets the `new-connection-sql` element
      Parameters:
        `newConnectionSql` - the value for the element `new-connection-sql`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getNewConnectionSql

          java.lang.String getNewConnectionSql()

      Returns the `new-connection-sql` element
      Returns:
        the node defined for the element `new-connection-sql`

    - #### removeNewConnectionSql

          XaDatasourceType<T> removeNewConnectionSql()

      Removes the `new-connection-sql` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### transactionIsolation

          XaDatasourceType<T> transactionIsolation(TransactionIsolationType transactionIsolation)

      Sets the `transaction-isolation` element
      Parameters:
        `transactionIsolation` - the value for the element `transaction-isolation`
      Returns:
        the current instance of `XaDatasourceType`

    - #### transactionIsolation

          XaDatasourceType<T> transactionIsolation(java.lang.String transactionIsolation)

      Sets the `transaction-isolation` element
      Parameters:
        `transactionIsolation` - the value for the element `transaction-isolation`
      Returns:
        the current instance of `XaDatasourceType`

    - #### getTransactionIsolation

          TransactionIsolationType getTransactionIsolation()

      Returns the `transaction-isolation` element
      Returns:
        the value found for the element `transaction-isolation`

    - #### getTransactionIsolationAsString

          java.lang.String getTransactionIsolationAsString()

      Returns the `transaction-isolation` element
      Returns:
        the value found for the element `transaction-isolation`

    - #### removeTransactionIsolation

          XaDatasourceType<T> removeTransactionIsolation()

      Removes the `transaction-isolation` attribute
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateXaPool

          XaPoolType<XaDatasourceType<T>> getOrCreateXaPool()

      If not already created, a new `xa-pool` element with the given value will be created. Otherwise, the existing `xa-pool` element will be returned.
      Returns:
        a new or existing instance of `XaPoolType>`

    - #### removeXaPool

          XaDatasourceType<T> removeXaPool()

      Removes the `xa-pool` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateSecurity

          DsSecurityType<XaDatasourceType<T>> getOrCreateSecurity()

      If not already created, a new `security` element with the given value will be created. Otherwise, the existing `security` element will be returned.
      Returns:
        a new or existing instance of `DsSecurityType>`

    - #### removeSecurity

          XaDatasourceType<T> removeSecurity()

      Removes the `security` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateValidation

          ValidationType<XaDatasourceType<T>> getOrCreateValidation()

      If not already created, a new `validation` element with the given value will be created. Otherwise, the existing `validation` element will be returned.
      Returns:
        a new or existing instance of `ValidationType>`

    - #### removeValidation

          XaDatasourceType<T> removeValidation()

      Removes the `validation` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateTimeout

          TimeoutType<XaDatasourceType<T>> getOrCreateTimeout()

      If not already created, a new `timeout` element with the given value will be created. Otherwise, the existing `timeout` element will be returned.
      Returns:
        a new or existing instance of `TimeoutType>`

    - #### removeTimeout

          XaDatasourceType<T> removeTimeout()

      Removes the `timeout` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateStatement

          StatementType<XaDatasourceType<T>> getOrCreateStatement()

      If not already created, a new `statement` element with the given value will be created. Otherwise, the existing `statement` element will be returned.
      Returns:
        a new or existing instance of `StatementType>`

    - #### removeStatement

          XaDatasourceType<T> removeStatement()

      Removes the `statement` element
      Returns:
        the current instance of `XaDatasourceType`

    - #### getOrCreateRecovery

          RecoverType<XaDatasourceType<T>> getOrCreateRecovery()

      If not already created, a new `recovery` element with the given value will be created. Otherwise, the existing `recovery` element will be returned.
      Returns:
        a new or existing instance of `RecoverType>`

    - #### removeRecovery

          XaDatasourceType<T> removeRecovery()

      Removes the `recovery` element
      Returns:
        the current instance of `XaDatasourceType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)